Bug 29947 - module e100 does not compile with kernel-source-2.2.17-14
module e100 does not compile with kernel-source-2.2.17-14
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
: 29949 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-02-27 20:10 EST by Marius ILIOAEA
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-28 12:32:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marius ILIOAEA 2001-02-27 20:10:21 EST
Problem: After upgradind to kernel-souce- from the RedHat 
Network, module
   "EtherExpressPro/100 support (Intel driver)" (module e100)
wouldn't compile any more.

Cause: The cause is the missing of the necesary lines from from

Solution: You can copy-paste the missing lines from the Makefile from the 
kernel-source-2.2.16 (included in distribution) or use the diff below:

> ifeq ($(CONFIG_E100),m)
>   M_OBJS += e100.o
> endif
> e100.o: e100.c e100.h
$*.o $<
! there is a tab and not spaces at the beginning of last line ! 

Note: the regular public (non RedHat) 2.2.18 kernel does not contain this 
Comment 1 Bill Nottingham 2001-02-28 12:32:48 EST
*** Bug 29949 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.